# -*- coding: utf-8 -*-
# -------------------------------------------------------------
# Two-probe Configuration
# -------------------------------------------------------------

device_configuration = nlread('../300K-iv/device_bias_-0.70.hdf5',DeviceConfiguration)[-1]

# -------------------------------------------------------------
# Projected Local Density Of States
# -------------------------------------------------------------
kpoint_grid = MonkhorstPackGrid(
    na=21,
    nb=21,
    )

projected_local_density_of_states = ProjectedLocalDensityOfStates(
    configuration=device_configuration,
    method=DeviceDensityOfStates,
    energies=numpy.linspace(-1, 1, 101)*eV,
    kpoints=kpoint_grid,
    contributions=All,
    self_energy_calculator=RecursionSelfEnergy(),
    energy_zero_parameter=AverageFermiLevel,
    infinitesimal=1e-06*eV,
    )
nlsave('pldos-300K-forward.hdf5', projected_local_density_of_states)
